%{?dtag: %{expand: %%define %dtag 1}}

%{?rh7:%define _without_db4 1}
%{?el2:%define _without_db4 1}
%{?rh6:%define _without_db4 1}

Summary: System administration tool for networks
Name: cfengine
Version: 2.2.6
Release: 1_SCS.1
License: GPL
Group: System Environment/Base
URL: http://www.cfengine.org/
Packager: Quellyn Snead<qlsnead@lbl.gov>
Vendor: SCS

Source0: http://www.cfengine.org/downloads/cfengine-%{version}.tar.gz
Source1: cfengine.sysv
Source2: cfenvd.sysv
Source3: cfexecd.sysv 
Source4: cfservd.sysv 
Source5: default.sysconfig

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bison, flex, m4, openssl-devel, tetex, texinfo, ghostscript
BuildRequires: tetex-latex, tetex-dvips
%{!?_without_db4:BuildRequires: db4-devel}
%{?_without_db4:BuildRequires: db3-devel >= 3.2}

%description
Cfengine, or the configuration engine is an agent/software robot and a
very high level language for building expert systems to administrate
and configure large computer networks. Cfengine uses the idea of
classes and a primitive form of intelligence to define and automate
the configuration and maintenance of system state, for small to huge
configurations. Cfengine is designed to be a part of a computer immune
system.

%prep
%setup

%build
%configure BERKELEY_DB_LIB="-ldb" \
    --program-prefix="%{?_program_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_sbindir}
%{__install} -d -m0755 %{buildroot}%{_datadir}/cfengine/
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/cfengine/{bin,inputs}/
%{__make} install DESTDIR="%{buildroot}"
%{__make} install DESTDIR="%{buildroot}" -C doc
%{__install} -Dp -m0755 %SOURCE1 %{buildroot}%{_initrddir}/cfengine
%{__install} -Dp -m0755 %SOURCE2 %{buildroot}%{_initrddir}/cfenvd
%{__install} -Dp -m0755 %SOURCE3 %{buildroot}%{_initrddir}/cfexecd
%{__install} -Dp -m0755 %SOURCE4 %{buildroot}%{_initrddir}/cfservd

%{__install} -Dp -m0644 %SOURCE5 %{buildroot}%{_sysconfdir}/sysconfig/cfenvd
%{__install} -Dp -m0644 %SOURCE5 %{buildroot}%{_sysconfdir}/sysconfig/cfexecd
%{__install} -Dp -m0644 %SOURCE5 %{buildroot}%{_sysconfdir}/sysconfig/cfservd
%{__ln_s} -f %{_sbindir}/cfagent %{buildroot}%{_localstatedir}/cfengine/bin/

%post
%{_sbindir}/cfkey &>/dev/null || :

if [ $1 -eq 1 ]; then
    chkconfig --add cfengine
    chkconfig --add cfenvd
    chkconfig --add cfexecd
    chkconfig --add cfservd
fi

%preun

if [ $1 -eq 0 ]; then
    chkconfig --del cfengine
    chkconfig --del cfenvd
    chkconfig --del cfexecd
    chkconfig --del cfservd
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc contrib/cfengine.el inputs/*
%doc %{_mandir}/man?/*
%config %{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/cfenvd
%config(noreplace) %{_sysconfdir}/sysconfig/cfexecd
%config(noreplace) %{_sysconfdir}/sysconfig/cfservd
%{_sbindir}/*
%{_localstatedir}/cfengine/
%exclude %{_datadir}/cfengine/
%exclude %{_libdir}/libcfengine.a
%exclude %{_libdir}/libcfengine.la

%changelog
* Thu May 8 2008 Quellyn Snead <qlsnead@lbl.gov> - 2.2.6-1
- Initial packaging based on Dag Wieers spec file (http://dag.wieers.com/apt)
